# eric3.VCS.LogoutDialog

Module implementing a dialog to enter the logout data for a VCS system.

### Classes

vcsLogoutDialog | Class implementing a dialog to enter the logout data for a VCS system.

### Functions

None

## vcsLogoutDialog

Class implementing a dialog to enter the logout data for a VCS system.

### Derived from

vcsLogoutForm

### Methods

vcsLogoutDialog | Constructor
getData | Public slot to retrieve the data entered into the dialog.
handleVcsSelected | Private slot used to populate the protocol combobox.

### vcsLogoutDialog (Constructor)

vcsLogoutDialog(parent=None)

Constructor

parent
  parent widget (QWidget)

### vcsLogoutDialog.getData

getData()

Public slot to retrieve the data entered into the dialog.

Returns:
  a tuple of 4 strings (vcs system, username, remote hostname and repository).

### vcsLogoutDialog.handleVcsSelected

handleVcsSelected(vcs)

Private slot used to populate the protocol combobox.

vcs
  the selected version control system (QString)

Up